Zum Hauptinhalt springen
GET
/
automation
/
sequences
/
2026-03
Retrieve sequences
curl --request GET \
  --url https://api.hubapi.com/automation/sequences/2026-03 \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "<string>",
      "folderId": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

userId
string
erforderlich

The unique identifier of the user whose sequences are to be retrieved. This parameter is required.

after
string

The paging cursor token of the last successfully read resource. Use this for pagination to retrieve the next set of results.

limit
integer<int32>

The maximum number of results to display per page.

name
string

The name of the sequence to filter results by.

Antwort

successful operation

results
object[]
erforderlich

An array of PublicSequenceLiteResponse objects, each representing a lightweight version of a sequence.

total
integer<int32>
erforderlich

An integer representing the total number of sequence items available.

paging
object
Last modified on April 9, 2026